Create new Wallet
curl --request POST \
--url https://gateway.varchev.com/wallet/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"purpose": "<string>",
"ownerId": 123,
"isLive": true,
"customerId": 123,
"parentWalletId": "<string>"
}
'import requests
url = "https://gateway.varchev.com/wallet/"
payload = {
"purpose": "<string>",
"ownerId": 123,
"isLive": True,
"customerId": 123,
"parentWalletId": "<string>"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
purpose: '<string>',
ownerId: 123,
isLive: true,
customerId: 123,
parentWalletId: '<string>'
})
};
fetch('https://gateway.varchev.com/wallet/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/demo_trading_wallet_hot_with_references/value"
}Wallets
Create new Wallet
POST
/
Create new Wallet
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Sample Payload
Response
successful operation
Show child attributes
Show child attributes
Example:
{
"Status": {
"isError": true,
"code": 6,
"description": "description",
"type": "done"
},
"isLive": true,
"assets": "",
"purpose": "purpose",
"customerId": 0,
"linkedWallets": "",
"parentWalletId": { "refferTo": "" },
"id": {
"auditData": {
"createdAt": "2000-01-23T04:56:07.000Z",
"archivedAt": "2000-01-23T04:56:07.000Z",
"deletedAt": "2000-01-23T04:56:07.000Z",
"updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"updatedAt": "2000-01-23T04:56:07.000Z"
},
"tenantId": "tenantId",
"entityId": "",
"ownerId": "ownerId"
},
"type": "general_purpose"
}
⌘I

